# Esp32 - LCD 1602 presence test and Hello world
# provided by Anthony Vogelaar, Perth Scotland
# rev 0.10  2025-05-15  initial release

from	fks_drivers_01	import	lprint, i2c		# SCL=22, SDA=21

# ===================== Tests =========================

# test lcd presence on I2C bus, see address 39 = 0x27
def test1():
    print(i2c.scan())
    
    
# Print Hello world to LCD 1602 @ 5V Vdd
def test2():
    lprint('Hello')
    lprint('   world!')
    
    
test2()

# ===================== End =========================
